Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230401 - gdm create spurious audit entries
Summary: gdm create spurious audit entries
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: rawhide
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-28 19:09 UTC by Tomas Mraz
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-06 19:17:15 UTC


Attachments (Terms of Use)

Description Tomas Mraz 2007-02-28 19:09:50 UTC
I cloned the RHEL4 bug report as it seems that this one somehow stayed unfixed 
in Fedora and RHEL5. There was an errata for RHEL4 with this.

+++ This bug was initially created as a clone of Bug #161230 +++

Description of problem:
Testing has shown that there is a spurious audit message being generated by gdm:

type=USER_ERR msg=audit(06/21/05 09:44:32.699:783952) : user pid=2155 uid=root 
auid=unknown(4294967295) msg='PAM bad_ident: user=? exe="/usr/bin/gdm-binary"
(hostname=?, addr=?, terminal=? result=User not known to the underlying
authentication module)'

This causes the audit system to log what could be interpretted as "suspicious"
events.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. install audit package
2. reboot into run level 5
3. ausearch -i -x gdm
  

Actual Results:  Among other things you will find a USER_ERR message with no
PAM_USER.

Additional info:

-- Additional comment from tmraz@redhat.com on 2005-06-21 12:53 EST --
Created an attachment (id=115763)
Proposed patch

This patch simply disables the checking call to pam which is not necessary when
gdm is part of the distribution and not manually installed from sources by
user.

Comment 1 Ray Strode [halfline] 2007-03-06 19:17:15 UTC
This should be built into rawhide now.

Is there a RHEL5 bug somewhere too?

Comment 2 Tomas Mraz 2007-03-19 11:19:46 UTC
Probably not. I'll clone this one.



Note You need to log in before you can comment on or make changes to this bug.